import {Stack, TextField, Typography} from "@mui/material";
import {useContext} from "react";
import {ProjectContext} from "@/states/Dashboard/contexts/Project";
import Settings from "@/states/Dashboard/pages/Info/components/Settings";

export const Info = () => {
    const {currentProject} = useContext(ProjectContext);

    return (
        <>
            <Typography variant="h5" fontWeight={600}>Einstellungen</Typography>

            <Settings />

            <Typography variant="h5" fontWeight={600}>Standardwerte</Typography>

            <Stack gap={1} mt={2} mb={2} direction="row" alignItems="flex-start">

                <Stack sx={{border: 1, borderColor: 'divider', borderRadius: 1.5, p: 2, width: "100%"}} direction="row"
                          justifyContent="space-between" gap={2}>
                    <Stack>
                        <Typography variant="h5" fontWeight={700}>Lizenzschlüssel</Typography>
                        <Typography variant="body1" color="text.secondary" fontWeight={500}>
                            Beispiel: 123A-4313-43121-017#
                        </Typography>
                    </Stack>
                    <TextField sx={{mt: 1}} variant="outlined" size="small" value={currentProject.defaults.licenseKey}/>
                </Stack>

            </Stack>
        </>
    )
}